<?php
include_once('report_cars.php');
class report_cars_inactive extends report_cars
{
 var $title='Отчет по автомобилям - неактивные' ;

    function create_usl_select_obj($_params, &$options)
    {
        $_usl=[];

        $_usl[]='enabled=0';
        if ($this->filter['car_number'])                $_usl[]='obj_name like "%'.$this->filter['car_number'].'%"' ;
        if ($this->filter['org_ids'])                   $_usl[]='parent in ('.implode(',',array_keys($this->filter['org_ids'])).')' ;

        $usl = implode(' and ',$_usl);
        return $usl;
    }
}

?>